import { Node } from '@tiptap/core';
export interface DetailsOptions {
    HTMLAttributes: {
        [key: string]: any;
    };
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        details: {
            /**
             * Set a details node
             */
            setDetails: () => ReturnType;
            /**
             * Toggle a details node
             */
            toggleDetails: () => ReturnType;
            /**
             * Unset a details node
             */
            unsetDetails: () => ReturnType;
        };
    }
}
declare const _default: Node<DetailsOptions>;
export default _default;
