import { Node } from '@tiptap/core';
export interface FigureOptions {
    HTMLAttributes: Record<string, any>;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        figure: {
            /**
             * Add a figure element
             */
            setFigure: (options: {
                src: string;
                alt?: string;
                title?: string;
                caption?: string;
            }) => ReturnType;
            /**
             * Converts an image to a figure
             */
            imageToFigure: () => ReturnType;
            /**
             * Converts a figure to an image
             */
            figureToImage: () => ReturnType;
        };
    }
}
export declare const inputRegex: RegExp;
export declare const Figure: Node<FigureOptions>;
