import { Mark } from '@tiptap/core';
export interface SubscriptExtensionOptions {
    HTMLAttributes: Object;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        subscript: {
            /**
             * Set a subscript mark
             */
            setSubscript: () => ReturnType;
            /**
             * Toggle a subscript mark
             */
            toggleSubscript: () => ReturnType;
            /**
             * Unset a subscript mark
             */
            unsetSubscript: () => ReturnType;
        };
    }
}
export declare const Subscript: Mark<SubscriptExtensionOptions>;
