import React from 'react';
import { Editor } from './Editor';
export interface ReactRendererOptions {
    editor: Editor;
    props?: Record<string, any>;
    as?: string;
}
declare type ComponentType = React.ComponentClass | React.FunctionComponent | React.ForwardRefExoticComponent<{
    items: any[];
    command: any;
} & React.RefAttributes<unknown>>;
export declare class ReactRenderer {
    id: string;
    editor: Editor;
    component: any;
    element: Element;
    props: Record<string, any>;
    reactElement: React.ReactNode;
    ref: React.Component | null;
    constructor(component: ComponentType, { editor, props, as }: ReactRendererOptions);
    render(): void;
    updateProps(props?: Record<string, any>): void;
    destroy(): void;
}
export {};
